summaryrefslogtreecommitdiff
path: root/social/tokyotyrant/tokyotyrant.rc
diff options
context:
space:
mode:
authorNicolás Reynolds <apoyosis@correo.inta.gob.ar>2011-12-18 12:10:42 -0300
committerNicolás Reynolds <apoyosis@correo.inta.gob.ar>2011-12-18 12:10:42 -0300
commit2882e85db0e82645f4c7851bf52a06d9e190f4db (patch)
treeebe79bb1333f92946e7474b4d797f31ff6b04a8c /social/tokyotyrant/tokyotyrant.rc
parent452fb86a5d288522a30d2be6b078171e863c34b2 (diff)
downloadabslibre-2882e85db0e82645f4c7851bf52a06d9e190f4db.tar.gz
abslibre-2882e85db0e82645f4c7851bf52a06d9e190f4db.tar.bz2
abslibre-2882e85db0e82645f4c7851bf52a06d9e190f4db.zip
social/seeks-0.4.0-1
Plus Tokyo* dependencies
Diffstat (limited to 'social/tokyotyrant/tokyotyrant.rc')
-rwxr-xr-xsocial/tokyotyrant/tokyotyrant.rc41
1 files changed, 41 insertions, 0 deletions
diff --git a/social/tokyotyrant/tokyotyrant.rc b/social/tokyotyrant/tokyotyrant.rc
new file mode 100755
index 000000000..eaecb0af0
--- /dev/null
+++ b/social/tokyotyrant/tokyotyrant.rc
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+# source config
+[ -f /etc/conf.d/ttserver ] && . /etc/conf.d/ttserver
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting TokyoTyrant Server"
+ /usr/bin/ttserver ${TYRANT_EXTRA_OPTS} -dmn -pid ${TYRANT_PID_FILE} -log ${TYRANT_LOG_FILE} -port ${TYRANT_PORT} ${TYRANT_DB}
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon ttserver
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping TokyoTyrant Server"
+ if [ -f $TYRANT_PID_FILE ]; then
+ pid=`cat "$TYRANT_PID_FILE"`
+ kill -TERM "$pid"
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon ttserver
+ stat_done
+ fi
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0